File: //snap/tree/current/snap/manifest.yaml
snapcraft-version: 8.3.1
snapcraft-started-at: '2024-08-03T13:06:33.982547Z'
snapcraft-os-release-id: ubuntu
snapcraft-os-release-version-id: '22.04'
name: tree
version: 2.1.3+pkg-5852
summary: A directory listing command that produces a depth indented listing of files
description: |
Tree is a recursive directory listing command that produces a depth indented listing of files, which is colorized ala dircolors if the LS_COLORS environment variable is set and output is to tty. Tree has been ported and reported to work under the following operating systems: Linux, FreeBSD, OS X, Solaris, HP/UX, Cygwin, HP Nonstop and OS/2.
Note that if you just removed tree from APT distribution you will have to run the following command to regenerate GNU Bash's command search hash so that it will fall back to the command provided by the snap:
hash -r
simply logout and re-login the user session will work.
This snap is maintained by ๆๅไป(Buo-ren Lin), and is not endorsed or officially maintained by the upstream developers.
base: core22
grade: stable
confinement: strict
apps:
tree:
command: bin/tree
command-chain:
- bin/locales-launch
- bin/tree-launch
parts:
launchers:
source: snap/local/launchers
plugin: dump
organize:
'*': bin/
stage:
- -bin/README.*
stage-packages: []
prime: []
build-packages: []
locales-launch:
source: https://github.com/brlin-tw/locales-launch.git
source-tag: v1.0.0
plugin: dump
stage-packages:
- libc-bin=2.35-0ubuntu3.8
- locales=2.35-0ubuntu3.8
stage:
- bin/locales-launch
- etc/locale.alias
- usr/bin/localedef
- usr/share/doc/locales
- usr/share/i18n
- usr/share/locale
prime: []
build-packages: []
main:
source: https://gitlab.com/OldManProgrammer/unix-tree.git
build-packages:
- gcc
- curl
- jq
- sed
- git
override-pull: |
set -o nounset
if ! craftctl default; then
printf \
'Error: Unable to run the default action of this step.\n' \
1>&2
exit 2
fi
if ! "/build/tree/snap/local/scriptlets/selective-checkout" \
--append-packaging-revision; then
printf \
'Error: Unable to run the selective-checkout scriptlet.\n' \
1>&2
exit 2
fi
plugin: make
override-build: |
set -o nounset
printf 'Info: Patching the version string...\n'
sed_opts=(
--in-place
--regexp-extended
# NOTE: The `--file` option must come after `--regexp-extended`
--file="/build/tree/snap/local/patching/customizations-specific-to-the-snap-distribution.sed"
)
if ! sed "${sed_opts[@]}" tree.c; then
printf 'Error: Unable to patch the version string.\n' 1>&2
exit 2
fi
# The upstream makefile places the tree binary directly under DESTDIR...
# workaround it by implement the build step completely
printf 'Info: Building the application from source...\n'
make_opts=(
--jobs="4"
)
if ! make "${make_opts[@]}"; then
printf 'Error: Unable to build the application from source.\n' 1>&2
exit 2
fi
printf 'Info: Installing the application to the install tree of the "main" part...\n'
make_params=(
PREFIX="${CRAFT_PART_INSTALL}"
)
if ! make "${make_params[@]}" install; then
printf 'Error: Unable to install the application to the install tree of the "main" part.\n' 1>&2
exit 2
fi
stage-packages: []
stage: []
prime: []
architectures:
- amd64
image-info:
build-request-id: lp-91083527
build-request-timestamp: '2024-08-03T13:03:30Z'
build_url: https://launchpad.net/~brlin/+snap/tree/+build/2559948
build-packages: []
build-snaps: []
primed-stage-packages:
- libc-bin=2.35-0ubuntu3.8
- locales=2.35-0ubuntu3.8